=== debian/changelog ===
grantlee (0.1.1-0ubuntu2~lucid1) lucid-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 22 Jun 2010 17:27:36 +0100

grantlee (0.1.1-0ubuntu2) maverick; urgency=low

  * Add BZR branch information
  * Update debian/copyright a bit and mention my copyright on debian/*

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 15 Jun 2010 15:46:55 +0200

grantlee (0.1.1-0ubuntu1) maverick; urgency=low

  * Initial Release

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 11 Jun 2010 23:41:45 +0200
