=== debian/control ===
Source: grantlee
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), cmake, libqt4-dev
Standards-Version: 3.8.4
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/grantlee/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/grantlee/ubuntu

Package: libgrantlee0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plugin-based string template library for Qt
 The goals of the software is to make it easier for application developers to
 separate the structure of documents from the data they contain, opening the
 door for theming.
 .
 This package contains the Grantlee library itself.

Package: libgrantlee-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgrantlee0 (= ${binary:Version})
Description: plugin-based string template library for Qt - development headers
 The goals of the software is to make it easier for application developers to
 separate the structure of documents from the data they contain, opening the
 door for theming.
 .
 This package contains the development headers of Grantlee.
