=== debian/control ===
Source: grantlee
Section: libs
Priority: extra
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Bjoern Ricks <bjoern.ricks@intevation.de>
Build-Depends: cdbs, debhelper (>= 5), libqt4-dev (>= 4.5), cmake
Standards-Version: 3.9.1
Homepage: http://www.grantlee.org/

Package: libgrantlee-gui0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Grantlee templating library for Qt - GUI
 Grantlee is a string template engine based on the Django template system
 and written in Qt.
 .
 This package contains the GUI part of Grantlee.

Package: libgrantlee-core0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Grantlee templating library for Qt - Core
 Grantlee is a string template engine based on the Django template system
 and written in Qt.
 .
 This package contains the core Grantlee library. It also includes the
 standard tag and filter plugins.

Package: libgrantlee-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgrantlee-core0 (= ${binary:Version}),
 libgrantlee-gui0 (= ${binary:Version})
Description: Grantlee templating library development files
 Grantlee is a string template engine based on the Django template system
 and written in Qt.
 .
 This package contains the development files for building applications
 using grantlee.
