## grantlee 0.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,9 +31,14 @@
   endif ()
 endif()
 
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_STRICT_ITERATORS)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+
 set(Grantlee_VERSION_MAJOR 0)
 set(Grantlee_VERSION_MINOR 1)
-set(Grantlee_VERSION_PATCH 4)
+set(Grantlee_VERSION_PATCH 7)
 set(Grantlee_MIN_PLUGIN_VERSION 1)
 
 set(Grantlee_MAJOR_MINOR_VERSION_STRING "${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR}" )
@@ -114,8 +119,12 @@
   message (STATUS "Doxygen and dot found. make docs target is available")
   # Add support for a docs target
 
-  set(TAGFILES "${CMAKE_SOURCE_DIR}/scripts/qttags.tag=http://qt.nokia.com/doc/${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}")
-  set(DOCS_OUTPUT_DIRECTORY "@CMAKE_BINARY_DIR@/apidocs")
+  # Available from http://gcc.gnu.org/onlinedocs/libstdc++/latest-doxygen/libstdc++.tag
+  set(STLTAGFILE "${CMAKE_SOURCE_DIR}/scripts/libstdc++.tag=http://gcc.gnu.org/onlinedocs/libstdc++/latest-doxygen")
+  set(QTTAGFILE "${CMAKE_SOURCE_DIR}/scripts/qttags.tag=http://qt.nokia.com/doc/${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}")
+
+  set(TAGFILES "${QTTAGFILE} ${STLTAGFILE}")
+  set(DOCS_OUTPUT_DIRECTORY "@CMAKE_BINARY_DIR@")
   configure_file(
     "${CMAKE_MODULE_PATH}/Doxyfile.in"
     "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
@@ -126,7 +135,13 @@
   # from http://api.kde.org/kdereview-api/kdereview.tar.gz for example.
   if(EXISTS ${CMAKE_SOURCE_DIR}/scripts/qttags.tag)
     set(DOCS_OUTPUT_DIRECTORY "@CMAKE_BINARY_DIR@/qtdocs")
-    set(TAGFILES "${CMAKE_SOURCE_DIR}/scripts/qttags.tag=qthelp://com.trolltech.qt/qdoc/")
+
+    # Available from http://steveire.com/libstdc++-longnames.tag
+    # Also recommended: http://www.steveire.com/libstdc++-v3.qch
+    set(STLTAGFILE "${CMAKE_SOURCE_DIR}/scripts/libstdc++-longnames.tag=qthelp://org.gnu.libstdcxx/libstdc++-v3/")
+    set(QTTAGFILE "${CMAKE_SOURCE_DIR}/scripts/qttags.tag=qthelp://com.trolltech.qt/qdoc/")
+
+    set(TAGFILES "${QTTAGFILE} ${STLTAGFILE}")
     set(GENERATE_QHP "yes")
 
     configure_file(
