=== corelib/CMakeLists.txt ===
--- 
+++ 
@@ -12,18 +12,27 @@
 configure_file(grantlee_version.h.cmake ${PROJECT_BINARY_DIR}/grantlee_version.h)
 configure_file(grantlee_config_p.h.cmake  ${PROJECT_BINARY_DIR}/grantlee_config_p.h)
 
+# BIC: remove
+remove_definitions(-DQT_NO_CAST_TO_ASCII)
+remove_definitions(-DQT_NO_CAST_FROM_ASCII)
+
 set (grantlee_core_SRCS
+  cachingloaderdecorator.cpp
+  customtyperegistry.cpp
   context.cpp
   engine.cpp
   filterexpression.cpp
   lexer.cpp
+  metatype.cpp
   node.cpp
   nodebuiltins.cpp
   outputstream.cpp
   parser.cpp
+  rendercontext.cpp
   safestring.cpp
   template.cpp
   templateloader.cpp
+  typeaccessors.cpp
   util.cpp
   variable.cpp
 )
@@ -74,6 +83,8 @@
 )
 
 install(FILES
+  cachingloaderdecorator.h
+  containeraccessor.h
   context.h
   engine.h
   exception.h
@@ -81,13 +92,16 @@
   filterexpression.h
   grantlee_core_export.h
   ${PROJECT_BINARY_DIR}/grantlee_version.h
+  metatype.h
   node.h
   outputstream.h
   parser.h
+  rendercontext.h
   safestring.h
   taglibraryinterface.h
   template.h
   templateloader.h
+  typeaccessor.h
   token.h
   util.h
   variable.h
