=== defaultfilters/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 project(grantlee_defaultfilters)
+
+include(${Grantlee_USE_FILE})
 
 include_directories(
   ${QT_INCLUDES}
