=== debian/changelog ===
grantlee (0.1.7-0ubuntu4) oneiric; urgency=low

  * debian/copyright:
    - Correct license to LGPL-2.1+ instead of LGPL-2+
  * debian/libgrantlee-core0.symbols:
    - Update

 -- Michael Terry <mterry@ubuntu.com>  Fri, 08 Jul 2011 09:23:27 -0400

grantlee (0.1.7-0ubuntu3) natty; urgency=low

  * Revert previous upload and try again with the correct patch

 -- Scott Kitterman <scott@kitterman.com>  Tue, 07 Dec 2010 09:19:01 -0500

grantlee (0.1.7-0ubuntu2) natty; urgency=low

  * Backport upstream commits 128272d4f65d7f02372cb606c148817c2f15a78d and
    5a71ed118f6fae67a4a26ab867ab7575e5a3e34c to moderate test requirements so
    it will build on armel
  * Include missing grantlee_i18ntags.so and grantlee_mutabletags.so in
    libgrantlee-core0

 -- Scott Kitterman <scott@kitterman.com>  Tue, 07 Dec 2010 08:09:15 -0500

grantlee (0.1.7-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Nov 2010 13:18:59 +0000

grantlee (0.1.4-1ubuntu1) maverick; urgency=low

  * Make libgrantlee-core0  and libgrantlee-gui0 conflict/replace libgrantlee0
    (LP: #614859) 

 -- Philip Muskovac <yofel@gmx.net>  Sun, 08 Aug 2010 01:39:01 +0200
