## grantlee 0.2.0

=== debian/changelog ===
grantlee (0.2.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - conflict/replace old libgrantlee0
  * Remove missing symbols from .symbols files, upstream says they are no longer
    all virtual but they are inline

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Dec 2011 22:46:54 +0000

grantlee (0.1.7-1) unstable; urgency=low

  * New upstream release 
  * Set compat level to 7
  * Include cdbs util.mk in rules to check missing files
  * Enable DEB_BUILD_PARALLEL

 -- Bjoern Ricks <bjoern.ricks@intevation.de>  Fri, 10 Dec 2010 11:22:37 +0100
