=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: grantlee
 Section: libs
 Priority: extra
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Bjoern Ricks <bjoern.ricks@intevation.de>
 Build-Depends: cdbs, debhelper (>= 5), libqt4-dev (>= 4.5), cmake
 Standards-Version: 3.9.1
@@ -10,6 +11,8 @@
 Package: libgrantlee-gui0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgrantlee0 (<= 0.1.2-0ubuntu1)
+Replaces: libgrantlee0 (<= 0.1.2-0ubuntu1)
 Description: Grantlee templating library for Qt - GUI
  Grantlee is a string template engine based on the Django template system
  and written in Qt.
@@ -19,6 +22,8 @@
 Package: libgrantlee-core0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgrantlee0 (<= 0.1.2-0ubuntu1)
+Replaces: libgrantlee0 (<= 0.1.2-0ubuntu1)
 Description: Grantlee templating library for Qt - Core
  Grantlee is a string template engine based on the Django template system
  and written in Qt.
