## grantlee 0.3.0

=== debian/changelog ===
grantlee (0.3.0-5) unstable; urgency=low

  * Slightly modify libgrantlee-dev.install so it is not affected by the actual
    build type used.
  * Add myself to Uploaders.
  * Add grantlee-dbg with debug symbols.

 -- Pino Toscano <pino@debian.org>  Sun, 26 May 2013 08:34:08 +0200

grantlee (0.3.0-4) unstable; urgency=low

  * Team upload.
  * Update symbols files.
  * Fix Grantlee on architectures where qreal is not double but float; patches
    variantIsTrue-float-fix.diff and testinternationalization-qreal.diff.
  * Turn dh_install's --list-missing into --fail-missing.
  * Use wildcards in .install files.
  * Ignore test suite failures on ia64 and sparc64. Apparently QtScript seems
    buggy on these archs, leading to failures in few Grantlee tests; since also
    older Grantlee versions fail the same way, ignore such failures for now.
  * Add Build-Depends-Package in symbols files.

 -- Pino Toscano <pino@debian.org>  Wed, 15 May 2013 14:14:28 +0200

grantlee (0.3.0-3) unstable; urgency=low

  * Team upload.
  * Update symbols files.
  * Update Vcs-* headers.
  * Add the pkg-kde-tools build dependency and make use of the
    pkgkde_symbolshelper dh addon for subst-using symbols.
  * Enable the test suite:
    - padd -DENABLE_TESTS=ON to cmake
    - run dh_auto_test under xvfb-run, as some tests need X
    - add the xvfb and xauth build dependencies
  * Remove extra ${shlibs:Depends} from libgrantlee-dev.
  * Make libgrantlee-dev depend on libqt4-dev.

 -- Pino Toscano <pino@debian.org>  Tue, 14 May 2013 10:45:09 +0200

grantlee (0.3.0-2) unstable; urgency=low

  * Add myself to uploaders
  * Add a watch file
  * Bump debhelper build-dep and compat to 9
  * Bump Standards-Version to 3.9.4
  * Add Vcs-Git and Vcs-Browser fields
  * Migrate cdbs to dh
  * Update symbols files

 -- Maximiliano Curia <maxy@debian.org>  Sun, 12 May 2013 13:24:24 +0200

grantlee (0.3.0-1) experimental; urgency=low

  * New upstream release
  * Add myself to uploaders
  * Update symbols files

 -- Sune Vuorela <sune@debian.org>  Mon, 25 Mar 2013 15:46:10 +0100

grantlee (0.2.0-1) unstable; urgency=low

  * New upstream reelase
  * Add grantlee_i18ntags.so plugin to libgrantlee-core0

 -- Bjoern Ricks <bjoern.ricks@intevation.de>  Wed, 15 Feb 2012 13:26:47 +0100
